Summary: Secure software updater client.
Name: swup
Version: 0.1.7
Release: 7tr
License: GPL
Group: System/Base
Source0: swup-%{version}.tar.gz
Source1: swupkeys.gpg
Source2: swup.conf
ExclusiveOs: Linux
Prereq: gnupg
Requires: rpm gnupg rpmmodule.so
Requires: python >= 1.5.2
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Provides: txpi

%description
SWUP - SoftWare UPdater is an extension for existing software packaging
systems to facilitate automatic and secure update and install. SWUP
handles dependencies between software packages, and is able to fetch
additional required software when installing or upgrading.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/swup/
install -d -m 0755 $RPM_BUILD_ROOT/usr/bin
install -c -m 0644 $RPM_SOURCE_DIR/swupkeys.gpg $RPM_BUILD_ROOT/etc/swup/
for f in pubring.gpg pubring.gpg~ secring.gpg trustdb.gpg; do
    touch $RPM_BUILD_ROOT/etc/swup/gnupg/$f;
done
for f in `find $RPM_BUILD_ROOT/usr/lib/swup -name \*.py`; do
    touch ${f}c;
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
gpg --homedir /etc/swup/gnupg --import /etc/swup/swupkeys.gpg 
python -c "import compileall; compileall.compile_dir('/usr/lib/swup')"

%files
%defattr(-,root,root)
%doc README COPYING CHANGELOG
/usr/sbin/swup
%dir /usr/lib/swup
/usr/lib/swup/*.py
%dir /usr/lib/swup/pkgdriver
/usr/lib/swup/pkgdriver/*.py
/usr/share/man/man1/swup.1.gz
/usr/share/man/man5/swup.5.gz
%dir /etc/swup
%config(noreplace) /etc/swup/swup.conf
%config /etc/swup/swupkeys.gpg
%dir /etc/swup/gnupg
%ghost /etc/swup/gnupg/*
%ghost /usr/lib/swup/*.pyc
%ghost /usr/lib/swup/pkgdriver/*.pyc

%changelog
* Thu Nov 13 2003 Chr. Toldnes <christht at trustix dot org>
- New trustix key

* Thu Oct  2 2003 Erlend Midttun <erlendbm at trustix dot com>
- Take II.

* Sun Sep 28 2003 Erlend Midttun <erlendbm at trustix dot com>
- Updated URL's.
- Added maintainers key.

* Mon Apr 29 2002 Christian H. Toldnes <christht at trustix dot com>
- Small change in swup.conf.
- Added Provides: txpi

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- Updated trustix.pub.gpg

* Fri Jul 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Update swup.conf for TSL 1.5

* Thu Jun 28 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.7

* Mon Jun 18 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.5

*Tue Jun 12 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to 0.1.4

* Thu Apr  5 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 0.1.3
- Fixed config file to point to correct paths

* Tue Mar 13 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to swup-0.0.8

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to swup-0.0.7

* Wed Jan 10 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- initial swup rpm package.
